package com.hxhq.business.form.sj;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author 15881
 */
public class CzSjForm {

    /** 试剂id */
    @NotNull(message = "请选择处置试剂")
    private Long id;

    /** 处置原因 */
    @NotEmpty(message = "请输入处置原因")
    private String remark;

    /** 处置量 */
    @NotEmpty(message = "请输入处置量")
    private String czl;

    /** 处置方式 */
    @NotEmpty(message = "请选择处置方式")
    private String czfs;

    /** 签名人id */
    private Long qmrId;

    /** 签名人密码 */
    @NotEmpty(message = "请输入签名人密码")
    private String qmrmm;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCzl() {
        return czl;
    }

    public void setCzl(String czl) {
        this.czl = czl;
    }

    public String getCzfs() {
        return czfs;
    }

    public void setCzfs(String czfs) {
        this.czfs = czfs;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }
}
